Jupiter Lend Positions
Read the workflow wallet's Jupiter Lend Earn or Borrow positions.
Catalog action Solana Onchain wallet
Read the workflow wallet's Jupiter Lend Earn or Borrow positions.
At a Glance
| Field | Value |
|---|---|
| Action ID | jupiter-lend-get-positions |
| Category | Solana Onchain |
| Connector | wallet |
| Requires gas | No |
| Funds movement | None declared |
| Tags | jupiter, lending, yield, borrow, positions, read |
Payload Schema
| Field | Type | Required | Description |
|---|---|---|---|
chainId | number | Yes | Solana Mainnet |
product | string | Yes | - |
market | string | No | - |
Result Schema
| Field | Type | Required | Description |
|---|---|---|---|
product | string | Yes | - |
market | string | Yes | - |
owner | string | Yes | - |
asOf | string | Yes | - |
positions | array | Yes | - |
Examples
json{ "type": "jupiter-lend-get-positions", "payload": { "chainId": 7565164, "product": "earn" }, "children": [], "connector": { "type": "wallet", "id": "conn_wallet" }}
bashcurl -X POST "https://api.b3os.org/v1/actions/jupiter-lend-get-positions/test" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "inputs": { "chainId": 7565164, "product": "earn" }}'
Payload fields can use workflow expressions such as {{$trigger.body.amount}}, {{$nodes.fetch.result.price}}, and {{$props.asset}} when the value should come from a trigger, prior node, or reusable workflow prop.
